﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;

namespace AlternateRowStyleSelector
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        string currentTheme = "Office2013";

        public MainWindow()
        {
            InitializeComponent();
        }

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            var telerikThemeResources = App.Current.Resources.MergedDictionaries
                .Where(md => md.Source.OriginalString.StartsWith("/Telerik"))
                .Select(md => md.Source.OriginalString.Substring(md.Source.OriginalString.LastIndexOf('/')))
                .ToArray();

            var otherResources = App.Current.Resources.MergedDictionaries
                .Where(md => !md.Source.OriginalString.StartsWith("/Telerik"))
                .Select(md => md.Source.OriginalString)
                .ToArray();

            App.Current.Resources.MergedDictionaries.Clear();

            foreach (var res in telerikThemeResources)
            {
                App.Current.Resources.MergedDictionaries.Add(new System.Windows.ResourceDictionary
                {
                    Source = new Uri(string.Format("/Telerik.Windows.Themes.{0};component/Themes{1}", currentTheme, res),
                    UriKind.RelativeOrAbsolute)
                });
            }

            foreach (var res in otherResources)
            {
                App.Current.Resources.MergedDictionaries.Add(new ResourceDictionary
                {
                    Source = new Uri(res, UriKind.RelativeOrAbsolute)
                });
            }

            if (currentTheme == "Expression_Dark")
            {
                currentTheme = "Office2013";
            }
            else
            {
                currentTheme = "Expression_Dark";
            }
        }
    }
}
